
environment:
  client_key: <API Gateway Client Key here>
  client_secret: <API Gateway Secret Key here>

# uncomment if using the card client outside the CUDN
# lookup_credentials:
#  username: <Lookup Group Name here>
#  password: <Lookup Group Password here>

queries:
  # fetch all people from the legacy card system who do not have a CRSid, staff number or USN
  - by: legacy_carddb_organisation_id
    id: 4
    extra_fields_for_results:
      source: legacy
  # fetch all students from the University Student API (CamSIS)
  - by: student_institution
    id: F
    extra_fields_for_results:
      source: camsis
  # fetch all recent postgraduates who have finished their course within the last 6 months
  # according to CamSIS. This matches functionality within the existing card exports.
  - by: recent_graduate_institution
    id: F
    affiliation_status: PGRD
    extra_fields_for_results:
      source: camsis_recent_grad
  # fetch all staff members from the University HR API (CHRIS)
  - by: university_hr_institution
    id: F
    extra_fields_for_results:
      source: university_hr
  # fetch any other staff members or visitors from Lookup
  - by: lql
    lql_query: IN INST (FITZ) AND (misAffiliation = 'staff' OR misAffiliation = '')
    extra_fields_for_results:
      source: lookup

# only include issued cards
filter:
  status: ISSUED

# don't duplicate cards
deduplicate: true
